Clazz.declarePackage ("javajs.swing");
Clazz.load (["javajs.swing.JComponent"], "javajs.swing.JCheckBox", ["JU.SB"], function () {
c$ = Clazz.decorateAsClass (function () {
this.selected = false;
Clazz.instantialize (this, arguments);
}, javajs.swing, "JCheckBox", javajs.swing.JComponent);
Clazz.makeConstructor (c$, 
function () {
Clazz.superConstructor (this, javajs.swing.JCheckBox, ["chkJCB"]);
});
$_M(c$, "setSelected", 
function (selected) {
this.selected = selected;
{
Jmol.Dialog.setSelected(this);
}}, "~B");
$_M(c$, "isSelected", 
function () {
return this.selected;
});
Clazz.overrideMethod (c$, "toHTML", 
function () {
var sb =  new JU.SB ();
sb.append ("<input type=checkbox id='" + this.id + "' class='JCheckBox' style='" + this.getCSSstyle (0) + "' onclick='Jmol.Dialog.click(this)'>");
return sb.toString ();
});
});
